<?php
session_start();

include_once("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/
    $continuale=0;
    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
    
    extract($_POST); 
function redondear_dos_decimal($valor) {
   $float_redondeado=round($valor * 100) / 100;
   return $float_redondeado;
} 
	echo"<center>";
	
	$idregas = $_POST['id_regalia'];
	
	
	
	
	
	
	$idreg = $_POST['id_regalia'];
	$total = isset($_POST['cantidad']);
	$fecha = isset($_POST['fech1']);
	$idci = isset($_POST['elci']);
	$fija=0;
	
	$liminf=0;
	$excedente=0;
	$mesletra="Error";
	                  if($continuale!=1){
		$qPP = "SELECT idreg, rfc, nombre, appat, apmat, `apagar`, domicilio, colonia, ciudad, tel1, tel2, ciudad, estampa, wa, email, `fechap` FROM `regs2` join inversionista on inversionista.id_inver=regs2.id_inver WHERE idreg='".$idregas."'";
	

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));
	
echo"<center><label style='color:#5C3C12; font-size:28px; font-weight:bold'>Crear Voucher</label><br><br>";
	while (($objetoPP=mysqli_fetch_object($rPP)) )
{$califs=$objetoPP->calificados;$total=$objetoPP->apagar;    $nombre=$objetoPP->nombre." ".$objetoPP->appat." ".$objetoPP->apmat;
$rfc=$objetoPP->rfc;
	echo"Nombre: $nombre <br>R.F.C. $rfc<br><br>Total de Regalias a recibir:  $ $objetoPP->apagar<br> <br>
	<font color='red' size='+2'>Favor de verificar los siguientes datos</font><br><br>
	Domicilio: $objetoPP->domicilio<br>
	 Ciudad: $objetoPP->ciudad Colonia:$objetoPP->colonia C.P.= $objetoPP->cp<br>
	Tel1:$objetoPP->tel1 Tel2:$objetoPP->tel2 Whatsapp:$objetoPP->wa
	Fecha de ingreso:$objetoPP->estampa<bR><br>";
echo"<label style='color:#2b385d; font-size:22px; font-weight:bold'>Pedidos Recientes</label><br>";



	 $q2 = "SELECT cantidad, puntos, fechat, transacciones.idtransacciones, tipostr_idtipostr, consec, usuarios_ci_idusuarios_ci  FROM transacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones join inversionista on inversionista.id_inver=transacciones.inversionista_id_inver join pagovta on transacciones.idtransacciones=pagovta.idtransacciones WHERE rfc=\"$rfc\" and  fechat >= NOW() - INTERVAL 2 MONTH order by idtransacciones";


  $c2 = mysqli_query($conexion, $q2) or die ('Error en la consulta' . mysqli_error($conexion));

  echo"<center><table border=\"0\"> <tr bgcolor=\"#2b385d\">

			<th><font color=\"white\">Fecha</th><th><font color=\"white\">Transaccion</th><th><font color=\"white\">Pedido</th><th><font color=\"white\">Cantidad</th><th><font color=\"white\">Puntos</th><th><font color=\"white\">Tipo</th>

			</tr>";

  for($i=0;$r1 = mysqli_fetch_row($c2);$i++)

   {

	   $a0 = $r1[0];

	   $a1 = $r1[1];

	   $a2 = $r1[2];

	   $a3 = $r1[3];

	   $a4 = $r1[4];

	  $a5 = $r1[5];

	  $a6 = $r1[6];

	

	 	  
  if($a4==10){$tiponota='VENTA';   	  }
	  if($a4==11){ $tiponota='SALIDA';  	  } 
	    if($a4==13){$tiponota='30% VIP';   	  }
	  if($a4==1){ $tiponota='CANCEL';  	  }
	  if($a4==38){$tiponota='RESERVA';}
    if($a4==39){$tiponota='ABONO';}  
		if($a4==6){ $tiponota='OTRASAL';   } 
	   



echo"<tr bgcolor=\"#c3dfed\"><td>$a2</td><td>$a3</td><td>$a6-$a5</td><td>$a0</td><td>$a1</td><td>$tiponota</td><td>

	<form name=\"pagar\" action=\"pedidos_masinfo.php\" target=\"_blank\" method=\"post\">

			<input type=hidden name=dist value=$id_dist>

			<input type=hidden name=pedido value=$a3>
<input type=hidden name=tipons value=$a9> <input type=\"submit\" value=\"INFO PEDIDO\" name=\"infoped\"></form>
	</tr>";

	}echo"</table>";
	
	
	
	
	
	
	

    echo"<form name=\"Selec_Prod_Pedido\" action=\"crearvoucher.php\" method=\"post\"><br><br>
	           Cantidad a recibir en Voucher: <input type=\"text\" name=cantv value=$objetoPP->apagar size=\"8\" >          <br><br>
                Asignar al RFC: <input type=\"text\" name=rfc value=$objetoPP->rfc size=\"10\" maxlenght=\"10\" disable>          <br><br> 
           <input type=hidden name=idregs value=$objetoPP->idreg>  
           <input type=hidden name=apagar value=$objetoPP->apagar>
            
           <input type=hidden name=continuale value=1>  
           <input type=\"submit\" value=\"Continuar\" name=\"hacer_pedido\">
	</form>";
	
}
                      }	
                      
     else{    

          
$qPP = "SELECT id_inver, rfc, nombre, appat, apmat FROM inversionista WHERE rfc='".$rfc."'";
$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));             
if(!mysqli_affected_rows($conexion) || $cantv>$apagar)
{      
echo"<center><br><br><b> El RFC de la persona a asignar el Voucher No existe<br>
<br>O la cantidad a asignar en el Voucher excede las regal&iacute;as a recibir<br>
<br>Favor de revisarlo e intentar nuevamente<br><br></center>";
}
  else{    $resto=$apagar-$cantv;   
     while (($objetoPP=mysqli_fetch_object($rPP)) ) 
     {
           $id_inv=$objetoPP->id_inver; $nombre=$objetoPP->nombre." ".$objetoPP->appat." ".$objetoPP->apmat;
           
     }
     date_default_timezone_set("America/Mexico_City");
   $actuals=date("d/m/Y");
   $actualtime=date("h:i:sa");
   
   echo"<center><br><br><b>Revisa que los datos sean correctos:</b><br><br>
   Datos del asociado a recibir Voucher:<br><br>
   <b>RFC:</b> $rfc <br><br><b>Nombre:</b> $nombre
   <br><br><b>Cantidad generada:</b> $apagar<br>
   <br><b>Cantidad a ser abonada al Voucher:</b> $cantv<br>    <br>
   Regal&iacute;as restantes a ser depositadas: $resto <br><br>
   <form name=\"crearv\" action=\"crearvoucher2.php\" method=\"post\">
             <input type=hidden name=ndist value=\"$nombre\">  
           <input type=hidden name=idinver value=$id_inv>  
            <input type=hidden name=total value=$cantv> 
            <input type=hidden name=idregalia value=$idregs> 
            <input type=hidden name=restante value=$resto> 
            <label> Este voucher ha sido generado el $actuals a las $actualtime por $dato[2] </label>
            <input type=hidden name=descri value='Este voucher ha sido generado el $actuals a las $actualtime por $dato[2]'>
      		<input type=hidden name=fech value=$actuals>
      		<input type=hidden name=tiemp value=$actualtime>
      		<br>

           <input type=\"submit\" value=\"Aceptar y crear voucher\" name=\"hacer_pedido\">
    </form>
    ";   
      
      
      
      
      
      
      
      
      
      
      
  }               
  /*                    
	if($total>=0 && $total<=496.07){$liminf=0.01; $fija=0; $excedente=0.0192;	}
	if($total>=496.08 && $total<=4210.41){$liminf=496.08; $fija=9.52; $excedente=0.0640;	}
	if($total>=4210.42 && $total<=7399.42){$liminf=4210.42; $fija=247.23; $excedente=0.1088;	}
	if($total>=7399.43 && $total<=8601.5){$liminf=7399.43; $fija=594.24; $excedente=0.1600;	}
	if($total>=8601.51 && $total<=10298.35){$liminf=8601.51; $fija=786.55; $excedente=0.1792;	}
	if($total>=10298.36 && $total<=20770.29){$liminf=10298.36; $fija=1090.62; $excedente=0.1994;	}
	if($total>=20770.3 && $total<=32736.83){$liminf=20770.3; $fija=3178.3; $excedente=0.2195;	}
	if($total>=32736.84 ){$liminf=32736.84; $fija=5805.2; $excedente=0.2800;	}
	
	$impuest=(($total-$liminf)*$excedente)+$fija;
	$impuestos=redondear_dos_decimal($impuest);
	$pagar=$total-$impuestos;
	echo"- Impuestos $ $impuestos<br>Gran Total $ $pagar<br><br><table><tr><td>
	<font size=\"+2\"><b>*Requisitos para recibir Regal&iacute;as:</b></font>
	<br> -Cuenta de banco para el dep&oacute;sito de regal&iacute;as
	<br> -Copia de Identificaci&oacute;n Oficial (IFE, Pasaporte, Cartilla Militar, C&eacute;dula Profesional)<br>
	-Copia de Comprobante de Domicilio (Luz, Gas, Tel&eacute;fono)<br>
	-Copia de C&eacute;dula de RFC (Alta ante Hacienda) - Si no se tiene, es necesario tramitarla en las oficinas<br>de la
	Secretar&iacute;a de Hacienda y Cr&eacute;dito P&uacute;blico. No tiene costo (darse de alta como Socio Industrial). <br>No es necesario hacer
	declaraciones de impuestos ya que la empresa se los retiene.</td></tr></table>";
     
	*/				  
     }				  /*
					   $qc12 = "SELECT centros.nombre from centros, usuarios_ci where centros.idcd=usuarios_ci.centros_idcd and usuarios_ci.idusuarios_ci='".$idci."'";
           $cc12 = mysqli_query($conexion, $qc12) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rr2 = mysqli_fetch_row($cc12);
		              $centro=$rr2[0];
	$q0 = "SELECT rfc, nombre, appat, apmat FROM inversionista where  id_inver='".$id_inv."' ";
		
		$tabla_recibida0 = mysqli_query($conexion, $q0) or die ("Problema con Query.");
		
		$cPrueba = mysqli_fetch_object($tabla_recibida0);
		
		if (mysqli_affected_rows($conexion))
		{$rfc=$cPrueba->rfc;
		echo"<br><b>RFC del Distribuidor:</b> $rfc<br><br><b>Nombre:</b> $cPrueba->nombre $cPrueba->appat $cPrueba->apmat<br><br>
		";	
		}
	
	
	
	switch($mes) 

				{
					case '01': $mesletra="Enero"; break;
					case '02': $mesletra="Febrero"; break;
					case '03': $mesletra="Marzo"; break;
					case '04': $mesletra="Abril"; break;
					case '05': $mesletra="Mayo"; break;
					case '06': $mesletra="Junio"; break;
					case '07': $mesletra="Julio"; break;
					case '08': $mesletra="Agosto"; break;
					case '09': $mesletra="Septiembre"; break;
					case '10': $mesletra="Octubre"; break;
					case '11': $mesletra="Noviembre"; break;
					case '12': $mesletra="Diciembre"; break;
				}	    
	
	echo"Cantidad generada en el periodo: <b>$ $total</b><br><br>Impuestos del periodo: <b>$ $impuestos</b><br><br>Cantidad a recibir: <b>$ $pagar</b>
	<br><br>A pagar el dia 7 de $mesletra de 2009<br><br>En el centro de distribuci&oacute;n: <b>$centro</b><br><br>";
	echo"<form name=\"Agrega\" action=\"generarcheque.php\" method=\"post\">
<input type=\"submit\" name=\"generar\" id=\"aceptar\" value=\"Aceptar y generar cheque\" />
	<input type=hidden name=tot value=$total />
	<input type=hidden name=imp value=$impuestos />
	<input type=hidden name=pag value=$pagar />
	<input type=hidden name=elmes value=$mes />
	<input type=hidden name=idinv value=$id_inv />
	<input type=hidden name=idcd value=$idci />
	<input type=hidden name=elrfc value=$rfc />
	<input type=hidden name=cantidad value=$totales /></form>";
	
*/
?>
